<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 99</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 99: relecture du papier 8</H1>

<P>Nom du papier et auteurs: Hevea, un traducteur de Latex 
vers HTML en Caml
<P>Luc Maranget


<H2>1</H2>

<P>Nom du rapporteur: Jose M. Piquer

<P>Confiance en la note: (de 1 à 3) 2
<P> (1 : je n'ai pas compris car ce n'est pas mon domaine.
<P>  2 : j'ai compris, mais je ne domine pas le sujet.
<P>  3 : j'ai tout compris car c'est mon domaine.)

<P>Notation du papier: (de 1 à 5) 5
<P> (1: à rejeter; 2: inintéressant; 3: acceptable;
<P>  4: bon papier; 5: très bon papier)

<P>Commentaires aux auteurs:

Dans les conclusions, j'ajouterais quelques lignes discutant en quoi un
langage fonctionnel aide a la programmation de cet outil, vis a vis de le
faire en C ou en Perl.


Commentaires réservés au comité de programme:

Bon papier

<H2>2</H2>

<P>
Nom du rapporteur: Roberto Di Cosmo

<P>Confiance en la note: 3
<P> (1 : je n'ai pas compris car ce n'est pas mon domaine.
<P>  2 : j'ai compris, mais je ne domine pas le sujet.
<P>  3 : j'ai tout compris car c'est mon domaine.)

<P>Notation du papier: 3.5
<P> (1: a rejeter; 2: ininteressant; 3: acceptable;
<P>  4: bon papier; 5: tres bon papier)

<P>Commentaires aux auteurs:

<P>Ce papier presente un traducteur de Latex a Html ecrit en Ocaml.  Le probleme et
la solution adoptee   sont assez bien decrits,   l'approche a la traduction  des
formules  mathematiques  par le biais   des  tables est  captivante, quoique  le
recours aux fonts symbol ne soit pas  vraiement portable, contrairement aux gifs
inclus par latex2html. A ce propos, il est dommage qu'on ne decrive pas l'etendu
des   capacites de   Hevea a  produire   du gif    pour  les buts   de latex/tex
inconvertibles (l'existence  meme  de  ces capacites,   on   doit l'imaginer  en
regardant le schema de dependance des modules, ou l'on trouve un module "Image",
et d'un tout petit commentaire dans le texte).

<P>Je trouve aussi particulierement pratique l'idee d'ecrire les
fichiers de configuration dans un melange de Latex et HTML et non pas
directement dans le langage utilise pour programmer le traducteur (la
regrettable approche de latex2html), mais la aussi, on reste un peu
sur sa faim: on aurait aime en savoir plus sur la conception du
langage interne utilise pour ecrire hevea.sty.

<P>Commentaires reserves au comite de programme:

</BODY>
</HTML>
